Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Include.PageOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.struts2.components.Include.PageOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  Include

    static final class Include.PageOutputStream

extends ServletOutputStream

Implementation of ServletOutputStream that stores all data written to it in a temporary buffer accessible from `getBuffer()` .

Author:
  Joe Walnes, Scott Farquhar

Field Summary
`private FastByteArrayOutputStream` | `buffer`

Constructor Summary
`Include.PageOutputStream()`

Method Summary
`void` | `close()`
`void` | `flush()`
`FastByteArrayOutputStream` | `getBuffer()` Return all data that has been written to this OutputStream.
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int o, int l)`
`void` | `write(int i)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    private FastByteArrayOutputStream buffer

Constructor Detail

### Include.PageOutputStream

    public Include.PageOutputStream()

Method Detail

### getBuffer

    public FastByteArrayOutputStream getBuffer()
                                        throws IOException

  Return all data that has been written to this OutputStream.

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int o,
                      int l)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int i)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.